members.dev
Benefit grants

Delete Benefit Grant

Deletes a Benefit Grant

DELETE
/v1/grants/{benefit_grant_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

benefit_grant_id*string

Header Parameters

Members-Context?string

Members organization id (org_…) when the client has multiple organizations.

Default""

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://api.members.dev/v1/grants/string"
{
  "parent": {
    "benefit_schedule_id": "string",
    "subscription_id": "string",
    "product_id": "string"
  },
  "state_transitions": {
    "started_at": {},
    "expired_at": {},
    "depleted_at": {},
    "revoked_at": {}
  },
  "next_update": {
    "updates_at": null,
    "update_type": "starts"
  },
  "created_at": null,
  "updated_at": null,
  "value_initial": 0,
  "value_current": 0,
  "value_consumed": 0,
  "id": "bgt_01KKSMB47VYGW97GFE67VGDK7M",
  "member_ids": [
    "string"
  ],
  "benefit_id": "string",
  "status": "scheduled",
  "starts_at": null,
  "expires_at": {}
}
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}